Package org.apache.sling.feature.extension.apiregions.api.config

# Enum Region

java.lang.Object
java.lang.Enum<Region>
org.apache.sling.feature.extension.apiregions.api.config.Region

All Implemented Interfaces:
  `Serializable`, `Comparable<Region>`

public enum Region extends Enum<Region>
The configuration api region of the feature

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GLOBAL`
`INTERNAL`

## Method Summary

Modifier and Type
Method
Description
`static Region`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Region[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GLOBAL

public static final Region GLOBAL

### INTERNAL

public static final Region INTERNAL

## Method Details

### values

public static Region[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Region valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null